package intrinsic.mx.rpc;

public class AbstractService extends intrinsic.flash.utils.Proxy implements intrinsic.flash.events.IEventDispatcher {

	/** Accessors */
	public String destination;
	public int requestTimeout;
	public intrinsic.mx.messaging.ChannelSet channelSet;
	public Object operations;

	/** Variables */
	public intrinsic.Array _availableChannelIds;
	public Object _operations;
	public intrinsic.mx.rpc.AsyncRequest asyncRequest;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AbstractService() {
}

public AbstractService(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void addEventListener(String arg0, intrinsic.Function arg1);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3, boolean arg4);
public native void removeEventListener(String arg0, intrinsic.Function arg1);
public native void removeEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void logout();
public native void setCredentials(String arg0, String arg1);
public native Object valueOf();
public native void setRemoteCredentials(String arg0, String arg1);
public native boolean hasEventListener(String arg0);
public native boolean hasTokenResponders(intrinsic.flash.events.Event arg0);
public native void disconnect();
public native boolean dispatchEvent(intrinsic.flash.events.Event arg0);
public native String getLocalName(Object arg0);
public native boolean willTrigger(String arg0);
public native intrinsic.mx.rpc.AbstractOperation getOperation(String arg0);

}
